%define with_html_doc 0

Name:           python-kitchen
Version:        1.2.6
Release:        %mkrel 7
Summary:        Small, useful pieces of code to make python coding easier

Group:          Development/Python
License:        LGPLv2+
URL:            https://pypi.python.org/pypi/kitchen/
Source0:        https://pypi.python.org/packages/source/k/kitchen/kitchen-%{version}.tar.gz
BuildArch:      noarch
%if 0%{?with_html_doc}
BuildRequires:  python3-sphinx
%endif
# At present, chardet is a soft dep
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel

%description
kitchen includes functions to make gettext easier to use, handling unicode
text easier (conversion with bytes, outputting xml, and calculating how many
columns a string takes), and compatibility modules for writing code that uses
python-2.7 modules but needs to run on python-2.3.


%package -n python3-kitchen
Summary:    Small, useful pieces of code to make python 3 coding easier
Group:      Development/Python
Requires:   python3-chardet
%{?python_provide:%python_provide python3-kitchen}


%description -n python3-kitchen
kitchen includes functions to make gettext easier to use, handling unicode
text easier (conversion with bytes, outputting xml, and calculating how many
columns a string takes).

This is the python3 version of the kitchen module.


%package -n python3-kitchen-doc
Summary:    API documentation for the Kitchen python3 module


%description -n python3-kitchen-doc
kitchen includes functions to make gettext easier to use, handling unicode
text easier (conversion with bytes, outputting xml, and calculating how many
columns a string takes).

This package contains the API documentation for programming with the
python-3 version of the kitchen library.


%prep
%setup -q -n kitchen-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%if 0%{?with_html_doc}
# Build docs
sphinx-build-3 kitchen3/docs/ build/sphinx/html
cp -pr build/sphinx/html .
rm -rf html/.buildinfo
%endif

%install
%pyproject_install
%pyproject_save_files kitchen


%files -n python3-kitchen -f %{pyproject_files}
%doc README.rst NEWS.rst COPYING COPYING.LESSER


%files -n python3-kitchen -f %{pyproject_files}
%doc COPYING COPYING.LESSER kitchen3/docs/*
%if 0%{?with_html_doc}
%doc html
%endif


%changelog
* Sun Mar 02 2025 wally <wally> 1.2.6-7.mga10
+ Revision: 2157220
- rebuild for python3.13

* Fri Feb 16 2024 papoteur <papoteur> 1.2.6-6.mga10
+ Revision: 2041925
- rebuild for python 3.12

* Thu Mar 24 2022 umeabot <umeabot> 1.2.6-5.mga9
+ Revision: 1825032
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 1.2.6-4.mga9
+ Revision: 1783756
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 1.2.6-3.mga9
+ Revision: 1733287
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.2.6-2.mga8
+ Revision: 1535060
- Mageia 8 Mass Rebuild

* Wed Oct 09 2019 daviddavid <daviddavid> 1.2.6-1.mga8
+ Revision: 1450840
- new version: 1.2.6
- drop more python2 support

* Sun Sep 15 2019 tv <tv> 1.2.4-7.mga8
+ Revision: 1441431
- rebuild for python-3.8
- drop python2 subpkg

* Tue Jan 08 2019 tv <tv> 1.2.4-6.mga7
+ Revision: 1351613
- rebuild with python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.2.4-5.mga7
+ Revision: 1289165
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 1.2.4-4.mga7
+ Revision: 1135476
- Rebuild for python 3.6

* Thu May 05 2016 philippem <philippem> 1.2.4-3.mga6
+ Revision: 1009638
- fix sphinx build (nothing to build)
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Tue Nov 17 2015 philippem <philippem> 1.2.4-1.mga6
+ Revision: 903870
- update to 1.2.4

* Thu Oct 29 2015 philippem <philippem> 1.2.1-1.mga6
+ Revision: 896509
- add Python3, remove use of build_sphinx
+ bcornec <bcornec>
- Update to upstream 1.2.1

* Wed Oct 15 2014 umeabot <umeabot> 1.1.1-5.mga5
+ Revision: 747463
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.1.1-4.mga5
+ Revision: 728943
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.1.1-3.mga5
+ Revision: 688112
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Sat Feb 22 2014 philippem <philippem> 1.1.1-1.mga5
+ Revision: 595568
- cleaning spec
+ bcornec <bcornec>
- Fix Group for python-kitchen
- Upload python-kitchen as a dep to yum-utils
- Created package structure for python-kitchen.

